package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreBrand;

public interface TabStoreBrandMapper {
    /**
     * 根据主键删除
     *
     * @param storeBrandId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeBrandId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreBrand record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreBrand record);

    /**
     * 根据主键查询
     *
     * @param storeBrandId 主键
     * @return 实体对象
     */
    TabStoreBrand selectByPrimaryKey(Integer storeBrandId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreBrand record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreBrand record);
}