package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStorePhoto;

public interface TabStorePhotoMapper {
    /**
     * 根据主键删除
     *
     * @param storePhotoId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storePhotoId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStorePhoto record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStorePhoto record);

    /**
     * 根据主键查询
     *
     * @param storePhotoId 主键
     * @return 实体对象
     */
    TabStorePhoto selectByPrimaryKey(Integer storePhotoId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStorePhoto record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStorePhoto record);
}